<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Contact;
use Illuminate\Http\Request;

class ContactsController extends Controller
{
    public function rules()
    {
        return ['email' => 'required|email',
            'reason' => 'required',
            'mobile' => 'required',
            'image' => 'image',
            'body' => 'required'];
    }

    public function contact(Request $request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        $validator = \Validator::make($request->all(), $this->rules());
        if ($validator->passes())
        {
            Contact::create($request->all());
            return response()->json(['value'=>true,'data'=>\Lang::get('data.contact_submitted'),'code'=>200]);
        } else {
            return response()->json(['value' => false, 'msg' => $validator->errors()->first(), 'code' => 422]);
        }
    }
}
