<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use App\Models\Licence;
use Illuminate\Http\Request;

class LicencesController extends Controller
{
    public function index()
    {
        return view('web.licences.index');
    }

    public function single_licence($flag)
    {
        return view('web.licences.single_licence', compact('flag'));
    }

    public function store_licence(Request $request)
    {
        $this->validate($request,[
            'name'=>'required',
            'number'=>'required',
            'image'=>'required|image',
            'details'=>'required',
            'type'=>'required|in:commercial_record,professional_record,municipal_registry,other'
        ]);
        Licence::create($request->all());
        return redirect()->route('licences')->with('message',\Lang::get('data.licence_submitted'));
    }
}
