<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Licence extends Model
{
    protected $table = 'licences';
    protected $fillable = ['name', 'number', 'image', 'details', 'type'];

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/licences/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }
    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/licences') . '/' . $this->attributes['image'];
        }
        return asset('images/users/default.jpg');
    }

    public function deleteImage()
    {
        @unlink(public_path('images/licences/' . $this->attributes['image']));

    }
}
