<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Setting extends Model
{
    protected $table = 'settings';
    protected $fillable = ['site_name', 'site_logo', 'android_link', 'ios_link', 'commission', 'commercial_record', 'tax_number', 'address', 'year_subscription','category_id'];
    protected $casts = ['site_name' => 'json', 'address' => 'json', 'commission_system' => 'json', 'discount_system' => 'json'];

    public function setSiteLogoAttribute()
    {
        $file = request()->file('site_logo');
        $destinationPath = 'images/setting/';
        $filename = time().'.'.$file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['site_logo'] = $filename;
    }

    public function getSiteLogoAttribute()
    {
        if ($this->attributes['site_logo']) {
            return asset('images/setting/') . '/' . $this->attributes['site_logo'];
        }
        return asset('images/users/default.jpg');
    }


    public  function category(){
        return $this->belongsTo(Category::Class , 'category_id');
    }


}
